--- /dev/null
+include ../../build/config.mk
+include ../../build/module.mk
--- /dev/null
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ ( . /etc/uci-defaults/luci-p910nd ) && rm -f /etc/uci-defaults/luci-p910nd
+}
--- /dev/null
+--[[
+
+LuCI UVC Streamer
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+module("luci.controller.p910nd", package.seeall)
+
+function index()
+ require("luci.i18n")
+ luci.i18n.loadc("p910nd")
+ if not luci.fs.isfile("/etc/config/p910nd") then
+ return
+ end
+
+ local page = entry({"admin", "services", "p910nd"}, cbi("p910nd"), luci.i18n.translate("p910nd", "Printer server"), 60)
+ page.i18n = "p910nd"
+ page.dependent = true
+end
--- /dev/null
+bidirectional = 'Bidirektionaler Modus'
+port_help = 'p910nd hoert auf Port 910+N. Z.B. 9100 fuer ersten Drucker'
+p910nd = 'p910nd - Drucker server'
+p910nd_desc = 'Bevor p910nd verwendet werden kann muessen Pakete fuer USB (kmod-usb-printer) und Parallelport (kmod-lp) Support installiert werden.'
--- /dev/null
+<?xml version="1.0" encoding="utf-8"?>
+
+<i18n:msgs xmlns:i18n="http://luci.freifunk-halle.net/2008/i18n#" xmlns="http://www.w3.org/1999/xhtml">
+
+<i18n:msg xml:id="p910nd">p910nd - Drucker server</i18n:msg>
+<i18n:msg xml:id="p910nd_desc">Bevor p910nd verwendet werden kann muessen Pakete fuer USB (kmod-usb-printer) und Parallelport (kmod-lp) Support installiert werden.</i18n:msg>
+<i18n:msg xml:id="bidirectional">Bidirektionaler Modus</i18n:msg>
+<i18n:msg xml:id="port_help">p910nd hoert auf Port 910+N. Z.B. 9100 fuer ersten Drucker</i18n:msg>
+
+</i18n:msgs>
--- /dev/null
+bidirectional = 'Bidirectional mode'
+port_help = 'p910nd listens on port 910+N. E.g. 9100 for the first printer.'
+p910nd = 'p910nd - Printer server'
+p910nd_desc = 'First you have to install the packages to get support for USB (kmod-usb-printer) or parallel port (kmod-lp).'
--- /dev/null
+<?xml version="1.0" encoding="utf-8"?>
+
+<i18n:msgs xmlns:i18n="http://luci.freifunk-halle.net/2008/i18n#" xmlns="http://www.w3.org/1999/xhtml">
+
+<i18n:msg xml:id="p910nd">p910nd - Printer server</i18n:msg>
+<i18n:msg xml:id="p910nd_desc">First you have to install the packages to get support for USB (kmod-usb-printer) or parallel port (kmod-lp).</i18n:msg>
+<i18n:msg xml:id="bidirectional">Bidirectional mode</i18n:msg>
+<i18n:msg xml:id="port_help">p910nd listens on port 910+N. E.g. 9100 for the first printer.</i18n:msg>
+
+</i18n:msgs>
--- /dev/null
+--[[
+
+LuCI p910nd
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+local uci = luci.model.uci.cursor_state()
+
+m = Map("p910nd", translate("p910nd", "p910nd"),
+ translatef("p910nd_desc"))
+
+s = m:section(TypedSection, "p910nd", translate("settings", "settings"))
+s.addremove = true
+s.anonymous = true
+
+s:option(Flag, "enabled", translate("enabled"))
+
+s:option(Value, "device", translate("device", "Device")).rmempty = true
+
+s:option(Value, "port", translate("port"), translate("port_help")).rmempty = true
+
+s:option(Flag, "bidirectional", translate("bidirectional"))
+
+return m
--- /dev/null
+#!/bin/sh
+
+uci batch <<-EOF
+ add ucitrack p910nd
+ set ucitrack.@p910nd[-1].init=p910nd
+ commit ucitrack
+EOF
endef
+define Package/luci-app-p910nd
+ $(call Package/luci/webtemplate)
+ DEPENDS+=+luci-admin-full +p910nd
+ TITLE:=p910nd - Printer server module
+endef
+
+define Package/luci-app-p910nd/install
+ $(call Package/luci/install/template,$(1),applications/luci-p910nd)
+endef
+
### Server Gateway Interfaces ###
ifneq ($(CONFIG_PACKAGE_luci-app-uvc_streamer),)
PKG_SELECTED_MODULES+=applications/luci-uvc_streamer
endif
+ifneq ($(CONFIG_PACKAGE_luci-app-p910nd),)
+ PKG_SELECTED_MODULES+=applications/luci-p910nd
+endif
ifneq ($(CONFIG_PACKAGE_luci-sgi-cgi),)
$(eval $(call BuildPackage,luci-app-ddns))
$(eval $(call BuildPackage,luci-app-samba))
$(eval $(call BuildPackage,luci-app-uvc_streamer))
+$(eval $(call BuildPackage,luci-app-p910nd))
$(eval $(call BuildPackage,luci-sgi-cgi))